
package de.ivu.elect.core.exchange.wahl;

import java.util.Collection;
import java.util.HashSet;

import javax.enterprise.context.RequestScoped;
import javax.enterprise.inject.Instance;
import javax.inject.Inject;

@RequestScoped // ELECT-6404
public class NlExportArtefaktNachSystemExportstatusExportMapperResolver {

  @Inject
  private transient Instance<NlExportArtefaktNachSystemExportstatusExportMapper> mappers;

  public NlExportArtefaktNachSystemExportstatusExportMapperResolver() {
    super();
  }

  public Collection<NlExportArtefaktNachSystemExportstatusExportMapper> collectExportMappers() {
    Collection<NlExportArtefaktNachSystemExportstatusExportMapper> result = new HashSet<>();
    mappers.forEach(result::add);

    return result;
  }
}
